<div class="d-flex">
    <div class="flex-fill"> 
        <button type="button"  class="btn btn-primary mt-2 mb-4" data-toggle="modal" data-target="#tambahpaud"><i class="bi bi-pencil"></i> Tambah Data Pendidikan Tingkat PAUD</button>
    </div>
    <div class="flex-fill-right">
        <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#paudarsip"><i class="bi bi-trash"></i> Data Pendidikan Diarsipkan</button>
    </div>
</div>     

<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary">
        <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Pendidikan Tingkat PAUD</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
        </div>
    </div>
    <div class="card-body">
        <table class="table table-striped table-bordered" id="table-list-paud">
            <thead class="bg-primary text-white">
                <tr>
                    <th scope="col" class="text-center">No</th>
                    <th>Nama Paud</th>
                    <th>Jumlah Ruang Belajar </th>
                    <th>Jumlah Murid</th>
                    <th>Jumlah Guru</th>
                    <th>Jumlah Guru OAP</th>
                    <th>Jumlah Guru Non OAP</th>
                    <th>Jumlah Meja /Kursi</th>
                    <th>Bukti</th>
                    <th scope="col" class="text-center">Aksi</th>
                </tr>
            </thead>
            <tbody>
                {% for item_pendidikan_paud in loop_paud %}
                    {% if item_pendidikan_paud.status == 'Aktif' %}
                    <tr>
                            <td>{{forloop.counter}}</td>
                            <td>{{item_pendidikan_paud.namasekolah}}</td>
                            <td>{{item_pendidikan_paud.jml_ruang_belajar}} Ruang</td>
                            <td>{{item_pendidikan_paud.jml_murid}} Murid</td>
                            <td>{{item_pendidikan_paud.jml_guru}} Orang</td>
                            <td>{{item_pendidikan_paud.jml_guru_oap}} Orang</td>
                            <td>{{item_pendidikan_paud.jml_guru_nonoap}} Orang</td>
                            <td>{{item_pendidikan_paud.jml_meja_kursi}} Unit</td>
                            <td>
                                <img src="{{item_pendidikan_paud.foto_paud.url}}"  width="100">
                            </td>
                            <td>
                                <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                    <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#editpaud-{{item_pendidikan_paud.id}}"><span class="fa fa-edit"></span></button>
                                    <div class="modal fade " id="editpaud-{{item_pendidikan_paud.id}}"  role="dialog" aria-labelledby="editpaud-{{item_pendidikan_paud.id}}" aria-hidden="true">
                                        <div class="modal-dialog modal-xl" role="document">
                                            <div class="modal-content ">
                                                <div class="modal-header bg-gradient-primary text-white">
                                                    <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Edit Data Pendidikan Paud</h5>
                                                    <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                </div>
                                                <div class="modal-body">
                                                    <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_edit_paud' item_pendidikan_paud.id %}">
                                                            {% csrf_token %}
                                                            <div class="mb-3">
                                                                <label class="small mb-1">Nama Paud</label>
                                                                <input class="form-control" name="namasekolah" type="text" placeholder="Isi Nama PAUD" value="{{item_pendidikan_paud.namasekolah}}">
                                                                <input class="form-control" name="pendidikan" type="hidden" value="{{dt_item_pendidikan.id}}">
                                                                <input class="form-control" name="kodependidikan" type="hidden" value="{{dt_item_pendidikan.kodependidikan}}">
                                                                
                                                            </div>
                                                            <div class="mb-3">
                                                                <label class="small mb-1">Jumlah Ruang Belajar</label>
                                                                <input class="form-control" name="jml_ruang_belajar" type="number" placeholder="Isi Dengan Angka" value="{{item_pendidikan_paud.jml_ruang_belajar}}">
                                                            </div>
                                                            <div class="mb-3">
                                                                <label class="small mb-1">Jumlah Murid</label>
                                                                <input class="form-control" name="jml_murid" type="number" placeholder="Isi Dengan Angka" value="{{item_pendidikan_paud.jml_murid}}">
                                                            </div>
                                                            <div class="mb-3">
                                                                <label class="small mb-1">Jumlah Guru</label>
                                                                <input class="form-control" name="jml_guru" type="number" placeholder="Isi Dengan Angka" value="{{item_pendidikan_paud.jml_guru}}">
                                                            </div>
                                                            
                                                            <div class="row gx-3 mb-3">
                                                                <div class="col-md-6">
                                                                    <label class="small mb-1" >Jumlah Guru OAP</label>
                                                                    <input class="form-control" name="jml_guru_oap"  type="number" placeholder="Isi Dengan Angka" value="{{item_pendidikan_paud.jml_guru_oap}}">
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <label class="small mb-1">Jumlah Guru Non OAP</label>
                                                                    <input class="form-control" name="jml_guru_nonoap" type="number" placeholder="Isi Dengan Angka" value="{{item_pendidikan_paud.jml_guru_nonoap}}">
                                                                </div>
                                                            </div>
                                                            <div class="row gx-3 mb-3">
                                                                <div class="col-md-6">
                                                                    <label class="small mb-1" >Jumlah Meja /Kursi</label>
                                                                    <input class="form-control" name="jml_meja_kursi"  type="number" placeholder="Isi Dengan Angka" value="{{item_pendidikan_paud.jml_meja_kursi}}">
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <label class="small mb-1">Upload Bukti</label>
                                                                    <img src="{{item_pendidikan_paud.foto_paud.url}}" width="100">
                                                                    <input class="form-control" name="foto_paud"  type="file" placeholder="Isi Dengan Angka" value="{{item_pendidikan_paud.foto_paud}}">
                                                                </div>
                                                            </div>   
                                                            
                                                        <div class="modal-footer">
                                                            <button class="btn btn-primary" type="submit"><i class="fa fa-edit"></i> Ubah</button>
                                                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                    onclick="deletepaud_('soft_delete_paud', `{{ item_pendidikan_paud.kampung.namasekolah }}`, '{{ item_pendidikan_paud.id }}')"
                                    data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </a>
                                </div>
                            </td>
                    </tr>
                    {% endif %}
               {% endfor %}
            </tbody>
        </table>
    </div>
</div>

<div class="modal fade " id="tambahpaud"  role="dialog" aria-labelledby="tambahpaud" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <div class="modal-content ">
            <div class="modal-header bg-gradient-primary text-white">
                <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data Pendidikan PAUD</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body">
                <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_pendidikan_detail' dt_item_pendidikan.id %}">
                        {% csrf_token %}
                        <div class="mb-3">
                            <label class="small mb-1">Nama Paud</label>
                            <input class="form-control" name="namasekolah" type="text" placeholder="Isi Nama PAUD">
                            <input class="form-control" name="pendidikan" type="hidden" value="{{dt_item_pendidikan.id}}">
                            <input class="form-control" name="kodependidikan" type="hidden" value="{{dt_item_pendidikan.kodependidikan}}">
                            
                        </div>
                        <div class="mb-3">
                            <label class="small mb-1">Jumlah Ruang Belajar</label>
                            <input class="form-control" name="jml_ruang_belajar" type="number" placeholder="Isi Dengan Angka">
                        </div>
                        <div class="mb-3">
                            <label class="small mb-1">Jumlah Murid</label>
                            <input class="form-control" name="jml_murid" type="number" placeholder="Isi Dengan Angka">
                        </div>
                        <div class="mb-3">
                            <label class="small mb-1">Jumlah Guru</label>
                            <input class="form-control" name="jml_guru" type="number" placeholder="Isi Dengan Angka">
                        </div>
                        
                        <div class="row gx-3 mb-3">
                            <div class="col-md-6">
                                <label class="small mb-1" >Jumlah Guru OAP</label>
                                <input class="form-control" name="jml_guru_oap"  type="number" placeholder="Isi Dengan Angka" >
                            </div>
                            <div class="col-md-6">
                                <label class="small mb-1">Jumlah Guru Non OAP</label>
                                <input class="form-control" name="jml_guru_nonoap" type="number" placeholder="Isi Dengan Angka" >
                            </div>
                        </div>
                        <div class="row gx-3 mb-3">
                            <div class="col-md-6">
                                <label class="small mb-1" >Jumlah Meja /Kursi</label>
                                <input class="form-control" name="jml_meja_kursi"  type="number" placeholder="Isi Dengan Angka" >
                            </div>
                            <div class="col-md-6">
                                <label class="small mb-1">Upload Bukti</label>
                                <input class="form-control" name="foto_paud"  type="file" placeholder="Isi Dengan Angka" >
                            </div>
                        </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                        <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- modal arsip -->
<div class="modal fade " id="paudarsip"  role="dialog" aria-labelledby="paudarsip" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content ">
            <div class="modal-header bg-gradient-danger text-white">
                <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Arsip Data Pendidikan PAUDss</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body">
                <table class="table table-striped table-bordered dt-responsive" id="table-archive">
                    <thead class="bg-danger text-white">
                        <tr>
                            <th scope="col" class="text-center">No</th>
                            <th>Nama Paud</th>
                            <th>Jumlah Ruang Belajar </th>
                            <th>Jumlah Murid</th>
                            <th>Jumlah Guru</th>
                            <th>Jumlah Guru OAP</th>
                            <th>Jumlah Guru Non OAP</th>
                            <th>Jumlah Meja /Kursi</th>
                            <th>Bukti</th>
                            <th scope="col" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for arsip_pendidikan_paud in archives_paud %}
                            <tr>
                                    <td>{{forloop.counter}}</td>
                                    <td>{{arsip_pendidikan_paud.namasekolah}}</td>
                                    <td>{{arsip_pendidikan_paud.jml_ruang_belajar}} Ruang</td>
                                    <td>{{arsip_pendidikan_paud.jml_murid}} Murid</td>
                                    <td>{{arsip_pendidikan_paud.jml_guru}} Orang</td>
                                    <td>{{arsip_pendidikan_paud.jml_guru_oap}} Orang</td>
                                    <td>{{arsip_pendidikan_paud.jml_guru_nonoap}} Orang</td>
                                    <td>{{arsip_pendidikan_paud.jml_meja_kursi}} Unit</td>
                                    <td>
                                        <img src="{{arsip_pendidikan_paud.foto_paud.url}}"  width="100">
                                    </td>
                                    <td>
                                        <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                            <button class="btn btn-warning btn-circle mr-3 mb-2" 
                                                onclick="restore_paud_(`{{ arsip_pendidikan_paud.namasekolah }}`, '{{ arsip_pendidikan_paud.id }}')"
                                                data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                                 <i class="bi bi-arrow-counterclockwise"></i>
                                            </button>
                                        </div>
                                    </td>
                            </tr>
                       {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>